/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package studentlearningsoftware;

import java.awt.Desktop;
import java.awt.print.PrinterException;
import java.awt.print.PrinterJob;
import java.io.File;
import javax.swing.ImageIcon;
import javax.swing.text.html.HTMLEditorKit;



/**
 *
 * @author Kruti
 */
public class NewJFrame extends javax.swing.JFrame {

    /**
     * Creates new form NewJFrame
     */
    public NewJFrame() {
        this.setTitle("Student Learning Software");
        ImageIcon i = new ImageIcon("src/SLS.png");
        this.setIconImage(i.getImage());
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTabbedPane1 = new javax.swing.JTabbedPane();
        Stack = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        jScrollPane11 = new javax.swing.JScrollPane();
        Stext = new javax.swing.JEditorPane();
        Sbutton = new javax.swing.JPanel();
        Intro = new javax.swing.JButton();
        Push = new javax.swing.JButton();
        Pop = new javax.swing.JButton();
        Queue = new javax.swing.JPanel();
        jTabbedPane2 = new javax.swing.JTabbedPane();
        SQueue = new javax.swing.JPanel();
        SQText = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jEditorPane1 = new javax.swing.JEditorPane();
        SQButton = new javax.swing.JPanel();
        SQInsert = new javax.swing.JButton();
        SQRemove = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        SQIntro = new javax.swing.JButton();
        DQueue = new javax.swing.JPanel();
        DText = new javax.swing.JPanel();
        jScrollPane2 = new javax.swing.JScrollPane();
        jEditorPane2 = new javax.swing.JEditorPane();
        DQButton = new javax.swing.JPanel();
        DQB = new javax.swing.JButton();
        CQueue = new javax.swing.JPanel();
        CQText = new javax.swing.JPanel();
        jScrollPane9 = new javax.swing.JScrollPane();
        jEditorPane3 = new javax.swing.JEditorPane();
        CQButton = new javax.swing.JPanel();
        CQB = new javax.swing.JButton();
        PQueue = new javax.swing.JPanel();
        PQText = new javax.swing.JPanel();
        jScrollPane4 = new javax.swing.JScrollPane();
        jEditorPane4 = new javax.swing.JEditorPane();
        PQButton = new javax.swing.JPanel();
        PQB = new javax.swing.JButton();
        LinkedList = new javax.swing.JPanel();
        linkedlisttab = new javax.swing.JTabbedPane();
        SLL = new javax.swing.JPanel();
        SLLText = new javax.swing.JPanel();
        jScrollPane5 = new javax.swing.JScrollPane();
        jEditorPane5 = new javax.swing.JEditorPane();
        SLLButton = new javax.swing.JPanel();
        SLLB = new javax.swing.JButton();
        DLL = new javax.swing.JPanel();
        DLLButton = new javax.swing.JPanel();
        DLLB = new javax.swing.JButton();
        DLLT = new javax.swing.JPanel();
        jScrollPane6 = new javax.swing.JScrollPane();
        jEditorPane6 = new javax.swing.JEditorPane();
        CLL = new javax.swing.JPanel();
        CLLButton = new javax.swing.JPanel();
        CLLB = new javax.swing.JButton();
        CLLT = new javax.swing.JPanel();
        jScrollPane7 = new javax.swing.JScrollPane();
        jEditorPane7 = new javax.swing.JEditorPane();
        Tree = new javax.swing.JPanel();
        TText = new javax.swing.JPanel();
        jScrollPane3 = new javax.swing.JScrollPane();
        jEditorPane9 = new javax.swing.JEditorPane();
        TButton = new javax.swing.JPanel();
        TB = new javax.swing.JButton();
        Graph = new javax.swing.JPanel();
        GButton = new javax.swing.JPanel();
        GB = new javax.swing.JButton();
        GText = new javax.swing.JPanel();
        jScrollPane10 = new javax.swing.JScrollPane();
        jEditorPane8 = new javax.swing.JEditorPane();
        jMenuBar1 = new javax.swing.JMenuBar();
        File = new javax.swing.JMenu();
        Print = new javax.swing.JMenuItem();
        q = new javax.swing.JMenuItem();
        Exit = new javax.swing.JMenuItem();
        Help = new javax.swing.JMenu();
        Us = new javax.swing.JMenuItem();
        Content = new javax.swing.JMenuItem();
        Software = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setBackground(new java.awt.Color(255, 255, 255));
        setForeground(new java.awt.Color(0, 0, 0));

        jTabbedPane1.setBackground(new java.awt.Color(255, 255, 255));
        jTabbedPane1.setTabPlacement(javax.swing.JTabbedPane.LEFT);
        jTabbedPane1.setAlignmentX(05);
        jTabbedPane1.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        jTabbedPane1.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N

        Stext.setEditable(false);
        Stext.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        jScrollPane11.setViewportView(Stext);
        Stext.setEditorKit(new HTMLEditorKit());
        Stext.setText("<html><head></head><body background=src//subtle_tectures_1.jpg>"
            +"<pre><font color=red size=20>\tADDING INTO STACK</font>"
            +"\n\n\tprocedure add(item : items);"
            +"\n\t{add item to the global stack stack;"
            +"\n\ttop is the current top of stack \n\tand n is its maximum size}"
            +"\n\tbegin \n\t\tif top = n then stackfull;"
            +"\n\t\t top := top+1; \n\t\tstack(top) := item;\n\tend: {of add}"+

            " \n\n\n\n\n\t<font color=red size=20>DELETION IN STACK</font>"
            +"\n\n\t procedure delete(var item : items);"
            +"\n\t {remove top element from the stack stack and put it in the item}"
            +"\n\t begin"
            +"\n\t\t if top = 0 then stackempty;"
            +"\n\t\t item := stack(top);"
            +"\n\t\t top := top-1;"
            +"\n\t end; {of delete}"
            +"</pre></body></html>");

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane11)
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane11)
        );

        Sbutton.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        Intro.setBackground(new java.awt.Color(255, 0, 51));
        Intro.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        Intro.setForeground(new java.awt.Color(255, 255, 255));
        Intro.setText("Introduction");
        Intro.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IntroActionPerformed(evt);
            }
        });
        Sbutton.add(Intro, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 50, 140, -1));

        Push.setBackground(new java.awt.Color(255, 0, 51));
        Push.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        Push.setForeground(new java.awt.Color(255, 255, 255));
        Push.setText("Push");
        Push.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                PushActionPerformed(evt);
            }
        });
        Sbutton.add(Push, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 110, 140, -1));

        Pop.setBackground(new java.awt.Color(255, 0, 51));
        Pop.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        Pop.setForeground(new java.awt.Color(255, 255, 255));
        Pop.setText("Pop");
        Pop.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                PopActionPerformed(evt);
            }
        });
        Sbutton.add(Pop, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 178, 140, -1));

        javax.swing.GroupLayout StackLayout = new javax.swing.GroupLayout(Stack);
        Stack.setLayout(StackLayout);
        StackLayout.setHorizontalGroup(
            StackLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, StackLayout.createSequentialGroup()
                .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(Sbutton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        StackLayout.setVerticalGroup(
            StackLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(Sbutton, javax.swing.GroupLayout.DEFAULT_SIZE, 418, Short.MAX_VALUE)
            .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Stack", Stack);

        jTabbedPane2.setFont(new java.awt.Font("Comic Sans MS", 3, 16)); // NOI18N

        jEditorPane1.setEditable(false);
        jEditorPane1.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        jScrollPane1.setViewportView(jEditorPane1);
        jEditorPane1.setEditorKit(new HTMLEditorKit());

        jEditorPane1.setText("<html><head></head><body><pre>\n\t<font color=red size=20>ADDITION INTO A QUEUE</font>"
            +"\n\n\t procedure addq (item : items);"
            +"\n\t {add item to the queue q}"
            +"\n\t begin"
            +"\n\t\t if rear=n then queuefull"
            +"\n\t\t else begin"
            +"\n\t\t\t rear :=rear+1;"
            +"\n\t\t\t q[rear]:=item;"
            +"\n\t\t end;"
            +"\n\t end;{of addq} "
            +"\n\n\n\n\t <font color=red size=20>DELETTION IN A QUEUE</font> "
            +"\n\n\t procedure deleteq (var item : items); "
            +"\n\t {delete from the front of q and put into item} "
            +"\n\t begin "
            +"\n\t\t if front = rear then queueempty "
            +"\n\t\t else begin "
            +"\n\t\t\t front := front+1 "
            +"\n\t\t\t item := q[front]; "
            +"\n\t\t end; "
            +"\n\t end; {of deleteq}</pre></body></html>");

        javax.swing.GroupLayout SQTextLayout = new javax.swing.GroupLayout(SQText);
        SQText.setLayout(SQTextLayout);
        SQTextLayout.setHorizontalGroup(
            SQTextLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 103, Short.MAX_VALUE)
        );
        SQTextLayout.setVerticalGroup(
            SQTextLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 356, Short.MAX_VALUE)
        );

        SQButton.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        SQInsert.setBackground(new java.awt.Color(255, 0, 51));
        SQInsert.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        SQInsert.setForeground(new java.awt.Color(255, 255, 255));
        SQInsert.setText("Insert");
        SQInsert.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                SQInsertActionPerformed(evt);
            }
        });
        SQButton.add(SQInsert, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 100, 140, -1));

        SQRemove.setBackground(new java.awt.Color(255, 0, 51));
        SQRemove.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        SQRemove.setForeground(new java.awt.Color(255, 255, 255));
        SQRemove.setText("Remove");
        SQRemove.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                SQRemoveActionPerformed(evt);
            }
        });
        SQButton.add(SQRemove, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 161, 140, -1));
        SQButton.add(jLabel1, new org.netbeans.lib.awtextra.AbsoluteConstraints(30, 40, -1, -1));

        SQIntro.setBackground(new java.awt.Color(255, 0, 51));
        SQIntro.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        SQIntro.setForeground(new java.awt.Color(255, 255, 255));
        SQIntro.setText("Introduction");
        SQIntro.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                SQIntroActionPerformed(evt);
            }
        });
        SQButton.add(SQIntro, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 40, 140, -1));

        javax.swing.GroupLayout SQueueLayout = new javax.swing.GroupLayout(SQueue);
        SQueue.setLayout(SQueueLayout);
        SQueueLayout.setHorizontalGroup(
            SQueueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, SQueueLayout.createSequentialGroup()
                .addComponent(SQText, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(SQButton, javax.swing.GroupLayout.PREFERRED_SIZE, 140, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        SQueueLayout.setVerticalGroup(
            SQueueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(SQButton, javax.swing.GroupLayout.DEFAULT_SIZE, 356, Short.MAX_VALUE)
            .addComponent(SQText, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Simple Queue", SQueue);

        jEditorPane2.setEditable(false);
        jEditorPane2.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        jScrollPane2.setViewportView(jEditorPane2);
        jEditorPane2.setEditorKit(new HTMLEditorKit());

        jEditorPane2.setText("<html><head></head><body><pre><font color=red size=20>\n\t ALGORITHM FOR ADDING AN ELEMENT AT THE REAR END OF THE QUEUE</font>"
            +"\n\t If (REAR == (MAXSIZE – 1))"
            +"\n\t\tWrite Queue is full"
            +"\n\tElse : REAR = REAR + 1"
            +"\n\t[Assign value] Queue[REAR] = Item"
            +"\n\t	[End If Structure] "
            +"\n\n\n\n\t<font color=red size=20>DELETION OF AN ELEMENT FROM THE FRONT END OF THE QUEUE</font>"
            +"\n\tIf (FRONT == REAR)"
            +"\n\t\tWrite Queue is Empty and Exit."
            +"\n\tElse : FRONT = FRONT + 1"
            +"\n\t[Assign value] Item = Queue[FRONT]"
            +"\n\t[End If Structure]"
            +"\n\n\n\n\t<font color=red size=20>INSERTION OF AN ELEMENT AT THE FRONT END OF THE QUEUE</font>"
            +"\n\tIf (FRONT == 0)"
            +"\n\t\tWrite Queue is Full and Exit."
            +"\n\tElse : FRONT = FRONT – 1"
            +"\n\t[Assign value] Queue[FRONT] = Item"
            +"\n\t[End If Structure]"
            +"\n\n\n\n\t<font color=red size=20>DELETION OF AN ELEMENT FROM THE REAR END OF QUEUE</font>"
            +"\n\tIf (FRONT == REAR)"
            +"\n\t\tWrite Queue is Empty and Exit."
            +"\n\tElse : REAR = REAR – 1"
            +"\n\t[Assign value] Item = Queue[REAR]</pre></body></html>");

        javax.swing.GroupLayout DTextLayout = new javax.swing.GroupLayout(DText);
        DText.setLayout(DTextLayout);
        DTextLayout.setHorizontalGroup(
            DTextLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane2)
        );
        DTextLayout.setVerticalGroup(
            DTextLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane2)
        );

        DQButton.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        DQB.setBackground(new java.awt.Color(255, 0, 51));
        DQB.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        DQB.setForeground(new java.awt.Color(255, 255, 255));
        DQB.setText("DeQueue");
        DQB.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                DQBActionPerformed(evt);
            }
        });
        DQButton.add(DQB, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 105, -1, -1));

        javax.swing.GroupLayout DQueueLayout = new javax.swing.GroupLayout(DQueue);
        DQueue.setLayout(DQueueLayout);
        DQueueLayout.setHorizontalGroup(
            DQueueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, DQueueLayout.createSequentialGroup()
                .addComponent(DText, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(DQButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        DQueueLayout.setVerticalGroup(
            DQueueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(DQButton, javax.swing.GroupLayout.DEFAULT_SIZE, 356, Short.MAX_VALUE)
            .addComponent(DText, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("DeQueue", DQueue);

        jEditorPane3.setEditable(false);
        jEditorPane3.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        jScrollPane9.setViewportView(jEditorPane3);
        jEditorPane3.setEditorKit(new HTMLEditorKit());

        jEditorPane3.setText("<hmtl><head></head><body><pre>\n\t<font color=red size=20>ALGORITHM FOR ADDING AN ELEMENT IN A CIRCULER QUEUE</font>"
            +"\n\t1.	If (FRONT == (REAR + 1) % MAXSIZE)"
            +"\n\t\tWrite Queue Overflow and Exit."
            +"\n\t\tElse : Take the value"
            +"\n\t\tIf ( FRONT == -1)"
            +"\n\t\t\tSet FRONT = REAR = 0"
            +"\n\t\tElse"
            +"\n\t\t\tREAR = (( REAR + 1) % MAXSIZE)"
            +"\n\t\t\t[Assign value] Queue [REAR] = value."
            +"\n\t\t[End if]"
            +"\n\n\n\n\t<font color=red size=20>ALGORITHM FOR DELETING AN ELEMENT IN A CIRCULAR QUEUE</font>"
            +"\n\t1.	If (FRONT = -1)"
            +"\n\t\tWrite Queue Underflow and Exit."
            +"\n\t\tElse : Item = Queue[FRONT]"
            +"\n\t\tIf (FRONT == REAR)"
            +"\n\t\t\tSet FRONT = -1"
            +"\n\t\t\tSet REAR = -1"
            +"\n\t\tElse : FRONT = (FRONT + 1) % MAXSIZE"
            +"\n\t\t[End if structure] "
            +"\n\t2.       Exit</pre></body></html>");

        javax.swing.GroupLayout CQTextLayout = new javax.swing.GroupLayout(CQText);
        CQText.setLayout(CQTextLayout);
        CQTextLayout.setHorizontalGroup(
            CQTextLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane9, javax.swing.GroupLayout.DEFAULT_SIZE, 82, Short.MAX_VALUE)
        );
        CQTextLayout.setVerticalGroup(
            CQTextLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane9)
        );

        CQButton.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        CQB.setBackground(new java.awt.Color(255, 0, 51));
        CQB.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        CQB.setForeground(new java.awt.Color(255, 255, 255));
        CQB.setText("Circular Queue");
        CQB.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CQBActionPerformed(evt);
            }
        });
        CQButton.add(CQB, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 105, -1, -1));

        javax.swing.GroupLayout CQueueLayout = new javax.swing.GroupLayout(CQueue);
        CQueue.setLayout(CQueueLayout);
        CQueueLayout.setHorizontalGroup(
            CQueueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, CQueueLayout.createSequentialGroup()
                .addComponent(CQText, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(CQButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        CQueueLayout.setVerticalGroup(
            CQueueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(CQButton, javax.swing.GroupLayout.DEFAULT_SIZE, 356, Short.MAX_VALUE)
            .addComponent(CQText, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Circular Queue", CQueue);

        jEditorPane4.setEditable(false);
        jEditorPane4.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        jScrollPane4.setViewportView(jEditorPane4);
        jEditorPane4.setEditorKit(new HTMLEditorKit());
        jEditorPane4.setText("\n\t<hmtl><head></head><body><pre><font color=red size=20>ALGORITHM TO INSERT AN ELEMENT IN A PRIORITY QUEUE</font>"
            +"\n\t/* Insert a number v into the priority queue H */"
            +"\n\t1.	Create a node u such that u.key == v"
            +"\n\t2.	Place u as the right most node at the bottom level of H"
            +"\n\t3.	While u has a parent p"
            +"\n\t4.	If u.key > p.key"
            +"\n\t5.	Return /* No Violation */"
            +"\n\t6.	Swap the keys of u and p"
            +"\n\t7.	 u = p"
            +"\n"
            +"\n\n\n\t<font color=red size=20>ALGORITHM TO DELETE AN ELEMENT FROM THE PRIORITY QUEUE</font>"
            +"\n\t/* Remove the smallest key in H */"
            +"\n\t1.	If H is Empty then Exit"
            +"\n\t2.	m = the value in the root of H"
            +"\n\t3.	u = the root of H"
            +"\n\t4.	u’ = the right most node at the bottom level of H"
            +"\n\t5.	Set the key of u to that of u’ and remove u’ from H"
            +"\n\t6.	While u has a child"
            +"\n\t7.	If u.key is smaller than the keys of its child nodes"
            +"\n\t8.	Return  /* No Violation */"
            +"\n\t9.	c= the child of u having a smaller key (if u has only one child than c is that child)"
            +"\n\t10.	Swap the keys of u and c"
            +"\n\t11.	 u= c"
            +"\n\t12.	Return m</pre></body></html>");

        javax.swing.GroupLayout PQTextLayout = new javax.swing.GroupLayout(PQText);
        PQText.setLayout(PQTextLayout);
        PQTextLayout.setHorizontalGroup(
            PQTextLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane4, javax.swing.GroupLayout.DEFAULT_SIZE, 84, Short.MAX_VALUE)
        );
        PQTextLayout.setVerticalGroup(
            PQTextLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane4)
        );

        PQButton.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        PQB.setBackground(new java.awt.Color(255, 0, 51));
        PQB.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        PQB.setForeground(new java.awt.Color(255, 255, 255));
        PQB.setText("Priority Queue");
        PQB.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                PQBActionPerformed(evt);
            }
        });
        PQButton.add(PQB, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 105, -1, -1));

        javax.swing.GroupLayout PQueueLayout = new javax.swing.GroupLayout(PQueue);
        PQueue.setLayout(PQueueLayout);
        PQueueLayout.setHorizontalGroup(
            PQueueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, PQueueLayout.createSequentialGroup()
                .addComponent(PQText, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(PQButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        PQueueLayout.setVerticalGroup(
            PQueueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(PQButton, javax.swing.GroupLayout.DEFAULT_SIZE, 356, Short.MAX_VALUE)
            .addComponent(PQText, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Priority Queue", PQueue);

        javax.swing.GroupLayout QueueLayout = new javax.swing.GroupLayout(Queue);
        Queue.setLayout(QueueLayout);
        QueueLayout.setHorizontalGroup(
            QueueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane2)
        );
        QueueLayout.setVerticalGroup(
            QueueLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 418, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Queue", Queue);

        linkedlisttab.setFont(new java.awt.Font("Comic Sans MS", 3, 16)); // NOI18N

        jEditorPane5.setEditable(false);
        jEditorPane5.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        jScrollPane5.setViewportView(jEditorPane5);
        jEditorPane5.setEditorKit(new HTMLEditorKit());
        jEditorPane5.setText("<html><head></head><body><pre><font color=red size=20>\n\tINSERTING A NODE AT THE BEGINNING IN A LINKED LIST</font>"
            +"\n\n\t1.	[Check for overflow ?]"
            +"\n\tIf PTR = NULL, then"
            +"\n\t\tPrint, Overflow"
            +"\n\t\tExit"
            +"\n\tElse"
            +"\n\t\tPTR = (Node *) malloc (size of (node))"
            +"\n\t\t/* create new node from memory and assign its address to PTR */"
            +"\n\tEnd if"
            +"\n\t2.	Set PTR -> INFO = Item"
            +"\n\t3.	Set PTR -> NEXT = START"
            +"\n\t4.	Set START = PTR"
            +"\n\n\n\n\t<font color=red size=20>INSERTING A NODE AT THE END</font>"
            +"\n\n\t1.	[Check for overflow ?]"
            +"\n\tIf PTR = NULL, then"
            +"\n\t\tPrint, Overflow"
            +"\n\tElse"
            +"\n\t\tPTR = (Node *) malloc (size of (node))"
            +"\n\tEnd If"
            +"\n\t2.	Set PTR -> Info = Item"
            +"\n\t3.	Set PTR -> Next = NULL"
            +"\n\t4.	If START = NULL and If then set START = P;"
            +"\n\t5.	Set LOC = START"
            +"\n\t6.	Repeat step 7 until LOC -> next != NULL"
            +"\n\t7.	Set LOC = LOC -> next"
            +"\n\t8.	Set LOC -> next = P"
            +"\n\n\n\n\t<font color=red size=20>INSERTING A NEW NODE AT THE SPECIFIED POSITION</font>"
            +"\n\n\t1.	[Check for overflow ?]"
            +"\n\tIf PTR = NULL, then"
            +"\n\t\tPrint, Overflow"
            +"\n\tElse"
            +"\n\t\tPTR = (Node *) malloc (size of (node))"
            +"\n\tEnd If"
            +"\n\t2.	Set PTR -> INFO = Item"
            +"\n\t3.	If START = NULL then"
            +"\n\tSet START = P"
            +"\n\tSet P -> next = NULL"
            +"\n\t\tEnd If"
            +"\n\t4.	Initialize the counter (I) and pointers"
            +"\n\t(Node * temp)"
            +"\n\tSet I = 0"
            +"\n\tSet temp = START"
            +"\n\t5.	Repeat steps 6 and 7 until I < LOC"
            +"\n\t6.	Set temp = temp -> next"
            +"\n\t7.	Set I = I + 1"
            +"\n\t8.	Set P -> next = temp -> next"
            +"\n\t9.	Set temp -> next = P."
            +"\n\n\n\n\t<font color=red size=20>DELETING THE FIRST NODE</font>"
            +"\n\n\t1.	[Check for underflow ?]"
            +"\n\tIf START = NULL, then"
            +"\n\t\tPrint (‘Linked list is empty’)"
            +"\n\t\tExit"
            +"\n\tEnd If"
            +"\n\t2.	Set PTR = START"
            +"\n\t3.	Set START = START -> next"
            +"\n\t4.	Print, element deleted is, PTR -> Info."
            +"\n\t5.	Free (PTR)."
            +"\n\n\n\n\t<font color=red size=20>DELETING THE LAST NODE</font>"
            +"\n\n\t1.	[Check for underflow ?]"
            +"\n\tIf START = NULL, then"
            +"\n\t\tPrint (‘Linked list is empty’)"
            +"\n\t\tExit"
            +"\n\tEnd If"
            +"\n\t2.	If START -> next = NULL, then"
            +"\n\tSet PTR = START"
            +"\n\tSet START = NULL"
            +"\n\tPrint element deleted is PTR -> INFO"
            +"\n\tFree (PTR)"
            +"\n\tEnd If"
            +"\n\t3.	Set PTR = START"
            +"\n\t4.	Repeat steps 5 and 6 until PTR -> next != NULL"
            +"\n\t5.	Set LOC = PTR"
            +"\n\t6.	Set PTR = PTR -> Next"
            +"\n\t7.	Set LOC -> next = NULL"
            +"\n\t8.	Free (PTR)."
            +"\n\n\n\n\t<font color=red size=20>DELETING THE NODE FROM SPECIFIED POSITION</font>"
            +"\n\n\t1.	 [Check for underflow ?]"
            +"\n\tIf START = NULL, then"
            +"\n\tPrint (‘Linked list is empty’)"
            +"\n\t\tExit"
            +"\n\tEnd If"
            +"\n\t2.	[Initialize the counter, I and pointers]"
            +"\n\tNode * temp, node *PTR;"
            +"\n\tSet I = 0"
            +"\n\tSet *PTR = START"
            +"\n\t3.	Repeat steps 4 to 9 until I <= LOC"
            +"\n\t4.	Set temp = PTR"
            +"\n\t5.	Set PTR = PTR -> next"
            +"\n\t6.	Set I = I + 1"
            +"\n\t7.	Print “element deleted is”, PTR -> INFO"
            +"\n\t8.	Set temp -> next = PTR -> next"
            +"\n\t9.	Free (PTR).</pre></body></html>");

        javax.swing.GroupLayout SLLTextLayout = new javax.swing.GroupLayout(SLLText);
        SLLText.setLayout(SLLTextLayout);
        SLLTextLayout.setHorizontalGroup(
            SLLTextLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane5, javax.swing.GroupLayout.DEFAULT_SIZE, 56, Short.MAX_VALUE)
        );
        SLLTextLayout.setVerticalGroup(
            SLLTextLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane5)
        );

        SLLButton.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        SLLB.setBackground(new java.awt.Color(255, 0, 51));
        SLLB.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        SLLB.setForeground(new java.awt.Color(255, 255, 255));
        SLLB.setText("Singly Linked List");
        SLLB.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                SLLBActionPerformed(evt);
            }
        });
        SLLButton.add(SLLB, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 105, -1, -1));

        javax.swing.GroupLayout SLLLayout = new javax.swing.GroupLayout(SLL);
        SLL.setLayout(SLLLayout);
        SLLLayout.setHorizontalGroup(
            SLLLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, SLLLayout.createSequentialGroup()
                .addComponent(SLLText, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(SLLButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        SLLLayout.setVerticalGroup(
            SLLLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(SLLButton, javax.swing.GroupLayout.DEFAULT_SIZE, 331, Short.MAX_VALUE)
            .addComponent(SLLText, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        linkedlisttab.addTab("Singly Linked List", SLL);

        DLLButton.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        DLLB.setBackground(new java.awt.Color(255, 0, 51));
        DLLB.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        DLLB.setForeground(new java.awt.Color(255, 255, 255));
        DLLB.setText("Doubly Linked List");
        DLLB.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                DLLBActionPerformed(evt);
            }
        });
        DLLButton.add(DLLB, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 105, -1, -1));

        jEditorPane6.setEditable(false);
        jEditorPane6.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        jScrollPane6.setViewportView(jEditorPane6);
        jEditorPane6.setEditorKit(new HTMLEditorKit());
        jEditorPane6.setText("\n\t<html><head></head><body><pre><font color=red size=20>INSERT A NODE AT BEGINNING OF A POSSIBLY EMPTY LIST:</font>"
            +"\n\t function insertBeginning(List list, Node newNode)"
            +"\n\t\t if list.firstNode == null"
            +"\n\t\t\t list.firstNode := newNode"
            +"\n\t\t\t list.lastNode  := newNode"
            +"\n\t\t\t newNode.prev := null"
            +"\n\t\t\t newNode.next := null"
            +"\n\t\telse"
            +"\n\t\t\tinsertBefore(list, list.firstNode, newNode)"
            +"\n\n\n\n\t <font color=red size=20>INSERT AT THE END:</font>"
            +"\n\t function insertEnd(List list, Node newNode)"
            +"\n\t\t if list.lastNode == null"
            +"\n\t\t\t insertBeginning(list, newNode)"
            +"\n\t\t else"
            +"\n\t\t\t insertAfter(list, list.lastNode, newNode)"
            +"\n\n\n\n\t<font color=red size=20>REMOVAL OF NODE:</font>"
            +"\n\t function remove(List list, Node node)"
            +"\n\t\t if node.prev == null"
            +"\n\t\t list.firstNode := node.next"
            +"\n\t\t else"
            +"\n\t\t\t node.prev.next := node.next"
            +"\n\t\t if node.next == null"
            +"\n\t\t\t list.lastNode := node.prev"
            +"\n\t\t  else"
            +"\n\t\t\t node.next.prev := node.prev"
            +"\n\t\t destroy node</pre></body></html>");

        javax.swing.GroupLayout DLLTLayout = new javax.swing.GroupLayout(DLLT);
        DLLT.setLayout(DLLTLayout);
        DLLTLayout.setHorizontalGroup(
            DLLTLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane6, javax.swing.GroupLayout.DEFAULT_SIZE, 50, Short.MAX_VALUE)
        );
        DLLTLayout.setVerticalGroup(
            DLLTLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane6)
        );

        javax.swing.GroupLayout DLLLayout = new javax.swing.GroupLayout(DLL);
        DLL.setLayout(DLLLayout);
        DLLLayout.setHorizontalGroup(
            DLLLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, DLLLayout.createSequentialGroup()
                .addComponent(DLLT, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(DLLButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        DLLLayout.setVerticalGroup(
            DLLLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(DLLButton, javax.swing.GroupLayout.DEFAULT_SIZE, 331, Short.MAX_VALUE)
            .addComponent(DLLT, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        linkedlisttab.addTab("Doubly Linked List", DLL);

        CLLButton.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        CLLB.setBackground(new java.awt.Color(255, 0, 51));
        CLLB.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        CLLB.setForeground(new java.awt.Color(255, 255, 255));
        CLLB.setText("Circular Linked List");
        CLLB.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CLLBActionPerformed(evt);
            }
        });
        CLLButton.add(CLLB, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 105, -1, -1));

        jEditorPane7.setEditable(false);
        jEditorPane7.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        jScrollPane7.setViewportView(jEditorPane7);
        jEditorPane7.setEditorKit(new HTMLEditorKit());
        jEditorPane7.setText("<html><head></head><body><pre>\n\t<font color=red size=20>INSERTION OF A NODE AT THE BEGINNING IN CIRCULAR LINKED LIST</font>"
            +"\n\t1.	[Check for overflow ?]"
            +"\n\tIf PTR = NULL, then"
            +"\n\t\tPrint, Overflow"
            +"\n\t\tExit"
            +"\n\tElse"
            +"\n\t\tPTR = (Node *) malloc (size(node));"
            +"\n\tEnd If"
            +"\n\t2.	If START == NULL then"
            +"\n\tSet PTR -> num = Item"
            +"\n\tSet PTR -> next = PTR"
            +"\n\tSet START = PTR"
            +"\n\tSet LAST = PTR"
            +"\n\t\tEnd If"
            +"\n\t3.	Set PTR -> num = Item"
            +"\n\t4.	Set PTR -> next = START"
            +"\n\t5.	Set START = PTR"
            +"\n\t6.	Set LAST -> next = PTR."
            +"\n\n\n\n\t<font color=red size=20>INSERTING A NODE AT THE END</font>"
            +"\n\t1.	[Check for overflow ?]"
            +"\n\tIf PTR = NULL, then"
            +"\n\t\tPrint, Overflow"
            +"\n\t\tExit"
            +"\n\tElse"
            +"\n\t\tPTR = (Node *) malloc (size(node));"
            +"\n\tEnd If"
            +"\n\t2.	If START = NULL, then"
            +"\n\tSet PTR -> num = Item"
            +"\n\tSet PTR -> next = PTR"
            +"\n\tSet LAST = PTR"
            +"\n\tSet START = PTR"
            +"\n\t\tEnd If"
            +"\n\t3.	Set PTR -> num = Item"
            +"\n\t4.	Set LAST -> next = PTR"
            +"\n\t5.	Set LAST = PTR;"
            +"\n\t6.	Set LAST -> next = START."
            +"\n\n\t<font color=red size=20>DELETING A NODE FROM THE BEGINNING</font>"
            +"\n\t1.	[Check for underflow ?]"
            +"\n\tIf START = NULL then"
            +"\n\t\tPrint ‘circular queue is empty’"
            +"\n\t\tExit"
            +"\n\tEnd If"
            +"\n\t2.	Set PTR = START"
            +"\n\t3.	Set START = START -> next"
            +"\n\t4.	Print, element deleted is, PTR -> INFO"
            +"\n\t5.	Set LAST -> next = START"
            +"\n\t6.	Free(PTR)"
            +"\n\n\n\n\t<font color=red size=20>DELETING A NODE FROM THE END</font>"
            +"\n\t1.	[Check for underflow ?]"
            +"\n\tIf START = NULL then"
            +"\n\t\tPrint ‘circular queue is empty’"
            +"\n\t\tExit"
            +"\n\tEnd If"
            +"\n\t2.	Set PTR = START"
            +"\n\t3.	Repeat steps 4 and 5 until"
            +"\n\tPTR  != START"
            +"\n\t4.	Set PTR1 = PTR"
            +"\n\t5.	Set PTR = PTR -> next;"
            +"\n\t6.	Print \"Element deleted is\" ,PTR -> num"
            +"\n\t7.	Set PTR1 -> next = PTR -> next"
            +"\n\t8.	Set LAST = PTR1"
            +"\n\t9.	Return START</pre></body></html>");

        javax.swing.GroupLayout CLLTLayout = new javax.swing.GroupLayout(CLLT);
        CLLT.setLayout(CLLTLayout);
        CLLTLayout.setHorizontalGroup(
            CLLTLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane7, javax.swing.GroupLayout.DEFAULT_SIZE, 40, Short.MAX_VALUE)
        );
        CLLTLayout.setVerticalGroup(
            CLLTLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane7)
        );

        javax.swing.GroupLayout CLLLayout = new javax.swing.GroupLayout(CLL);
        CLL.setLayout(CLLLayout);
        CLLLayout.setHorizontalGroup(
            CLLLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, CLLLayout.createSequentialGroup()
                .addComponent(CLLT, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(CLLButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        CLLLayout.setVerticalGroup(
            CLLLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(CLLButton, javax.swing.GroupLayout.DEFAULT_SIZE, 331, Short.MAX_VALUE)
            .addComponent(CLLT, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        linkedlisttab.addTab("Circular Linked List", CLL);

        javax.swing.GroupLayout LinkedListLayout = new javax.swing.GroupLayout(LinkedList);
        LinkedList.setLayout(LinkedListLayout);
        LinkedListLayout.setHorizontalGroup(
            LinkedListLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(linkedlisttab)
        );
        LinkedListLayout.setVerticalGroup(
            LinkedListLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(linkedlisttab)
        );

        jTabbedPane1.addTab("Linked List", LinkedList);

        jEditorPane9.setEditable(false);
        jEditorPane9.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        jScrollPane3.setViewportView(jEditorPane9);
        jEditorPane9.setEditorKit(new HTMLEditorKit());
        jEditorPane9.setText("\n\t<html><head></head><body><pre><font color=red size=20>BINARY SEARCH TREE</font>"
            +"\n\n\t <font color=blue size=19>1.   Insertion of node</font>"
            +"\n\n\t 1. Struct rec * insert (struct rec *tree, long digit) Repeat steps from 2 to 14"
            +"\n\t 2. If (tree == NULL) Step from 3 to 6"
            +"\n\t 3. Tree = (struct rec *) malloc (sizeof (struct rec));"
            +"\n\t 4. Tree -> left = Tree -> right = NULL"
            +"\n\t 5. Tree -> num = digit;"
            +"\n\t 6. Else Step 7"
            +"\n\t 7. If (digit < tree -> num) tree -> left = insert (tree -> left, digit);"
            +"\n\t 8. Else step 9"
            +"\n\t 9. If (digit > tree -> num) tree -> right = insert (tree -> right, digit);"
            +"\n\t 10. Else step 9"
            +"\n\t 11. If (digit == tree -> num) steps 12 to 13"
            +"\n\t 12. Puts (Duplicates Nodes : Program Exited);"
            +"\n\t 13. Exit(0);"
            +"\n\t 14. Return (tree);"
            +"\n\t 15. End"
            +"\n\n\n\n\t<font color=blue size=19>2.   Search for a node</font>"
            +"\n\n\t 1. Void search (struct rec *tree, long, digit) Steps from 2 to 9"
            +"\n\t 2. If (tree == NULL) step 3"
            +"\n\t 3. Puts (The Number doesnt exist);"
            +"\n\t 4. Else if (digit == tree -> num) Step 5"
            +"\n\t 5. Printf (%d, digit);"
            +"\n\t 6. Else if (digit < tree -> num) Step 7"
            +"\n\t 7. Search (tree -> left, digit);"
            +"\n\t 8. Else search (tree -> right, digit);"
            +"\n\t 9. End"
            +"\n\n\n\n\t<font color=blue size=19>3.    Deletion of node</font>"
            +"\n\n\t 1. struct rec *declnum (int digit, struct rec *r)"
            +"\n\t 2. {"
            +"\n\t 3. struct rec *q;"
            +"\n\t 4. if (r -> right != NULL) del num (digit, r -> right);"
            +"\n\t 5. else"
            +"\n\t 6. q -> num = r -> num;"
            +"\n\t 7. q = r;"
            +"\n\t 8. r = r -> left;"
            +"\n\t 9. }"
            +"\n\t 10. struct rec *deletenode (long digit, struct rec *tree)"
            +"\n\t 11. {"
            +"\n\t 12. struct rec *r, *q;"
            +"\n\t 13. if (tree == NULL)"
            +"\n\t 14. {"
            +"\n\t 15. puts (\"Tree is empty\");"
            +"\n\t 16. exit(0);"
            +"\n\t 17. }"
            +"\n\t 18. if (digit < tree -> num)"
            +"\n\t 19. deletenode (digit, tree -> left);"
            +"\n\t 20. else"
            +"\n\t 21. if (digit > tree -> num) deletenode (digit, tree -> right);"
            +"\n\t 22. q = tree;"
            +"\n\t 23. if ((q -> right == NULL) && (q -> left == NULL))"
            +"\n\t 24. q = NULL;"
            +"\n\t 25. else"
            +"\n\t 26. if (q -> right == NULL) tree = q -> left; else"
            +"\n\t 27. if (q -> left == NULL) tree = tree = q -> right; else"
            +"\n\t 28. delnum (digit, q -> left);"
            +"\n\t 29. free (q);"
            +"\n\n\n\n\t <font color=red size=20>TREE TRAVERSAL ALGO</font>"
            +"\n\n\t <font color=blue size=19>1.  Inorder traversal</font> "
            +"\n\t 	void inorder (node *p)    (The name for the root)"
            +"\n\t 	{"
            +"\n\t\t if (tree != NULL)"
            +"\n\t\t {"
            +"\n\t\t\t inorder (p -> LEFT)"
            +"\n\t\t\t print(\"%d\", p -> num)"
            +"\n\t\t\t inorder (p -> RIGHT)"
            +"\n\t\t }"
            +"\n\t }"
            +"\n\n\n\n\t<font color=blue size=19> 2.   Preorder traversal</font>"
            +"\n\n\t void preorder (node *p)"
            +"\n\t {"
            +"\n\t\t if (tree != NULL)"
            +"\n\t\t {"
            +"\n\t\t\t print(\"%d\", p -> num)"
            +"\n\t\t\t preorder (p -> LEFT)"
            +"\n\t\t\t preorder (p -> RIGHT)"
            +"\n\t\t }"
            +"\n\t }"
            +"\n\n\n\t <font color=blue size=19>3.   Postorder traversal</font>"
            +"\n\n\t void postorder (node *p)"
            +"\n\t {"
            +"\n\t\t if (tree != NULL)"
            +"\n\t\t {"
            +"\n\t\t\t postorder (p -> LEFT)"
            +"\n\t\t postorder (p -> RIGHT)"
            +"\n\t\t print (\"%d\",p -> num)"
            +"\n\t\t }"
            +"\n\t }</pre></body></html>");

        javax.swing.GroupLayout TTextLayout = new javax.swing.GroupLayout(TText);
        TText.setLayout(TTextLayout);
        TTextLayout.setHorizontalGroup(
            TTextLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane3)
        );
        TTextLayout.setVerticalGroup(
            TTextLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane3, javax.swing.GroupLayout.Alignment.TRAILING)
        );

        TButton.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        TB.setBackground(new java.awt.Color(255, 0, 51));
        TB.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        TB.setForeground(new java.awt.Color(255, 255, 255));
        TB.setText("Tree");
        TB.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                TBActionPerformed(evt);
            }
        });
        TButton.add(TB, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 119, -1, -1));

        javax.swing.GroupLayout TreeLayout = new javax.swing.GroupLayout(Tree);
        Tree.setLayout(TreeLayout);
        TreeLayout.setHorizontalGroup(
            TreeLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, TreeLayout.createSequentialGroup()
                .addComponent(TText, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(TButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        TreeLayout.setVerticalGroup(
            TreeLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(TButton, javax.swing.GroupLayout.DEFAULT_SIZE, 418, Short.MAX_VALUE)
            .addComponent(TText, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Tree", Tree);

        GButton.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        GB.setBackground(new java.awt.Color(255, 0, 51));
        GB.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        GB.setForeground(new java.awt.Color(255, 255, 255));
        GB.setText("Graph");
        GB.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                GBActionPerformed(evt);
            }
        });
        GButton.add(GB, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 119, -1, -1));

        jEditorPane8.setEditable(false);
        jEditorPane8.setFont(new java.awt.Font("Comic Sans MS", 3, 18)); // NOI18N
        jScrollPane10.setViewportView(jEditorPane8);
        jEditorPane8.setEditorKit(new HTMLEditorKit());
        jEditorPane8.setText("\n\t<html><head></head><body><pre><font color=red size=20>\tDFS</font>"
            +"\n\n\t 1  procedure DFS(G,v):"
            +"\n\t 2      label v as explored"
            +"\n\t 3      for all edges e in G.adjacentEdges(v) do"
            +"\n\t 4          if edge e is unexplored then"
            +"\n\t 5              w ? G.adjacentVertex(v,e)"
            +"\n\t 6              if vertex w is unexplored then"
            +"\n\t 7                  label e as a discovery edge"
            +"\n\t 8                  recursively call DFS(G,w)"
            +"\n\t 9              else"
            +"\n\t 10                 label e as a back edge"
            +"\n\n\n\n\t <font color=red size=20>BFS</font>"
            +"\n\n\t Input: A graph G and a root v of G"
            +"\n\t 1  procedure BFS(G,v):"
            +"\n\t 2      create a queue Q"
            +"\n\t 3      enqueue v onto Q"
            +"\n\t 4      mark v"
            +"\n\t 5      while Q is not empty:"
            +"\n\t 6          t ? Q.dequeue()"
            +"\n\t 7          if t is what we are looking for:"
            +"\n\t 8              return t"
            +"\n\t 9          for all edges e in G.adjacentEdges(t) do"
            +"\n\t 12             u ? G.adjacentVertex(t,e)"
            +"\n\t 13             if u is not marked:"
            +"\n\t 14                  mark u"
            +"\n\t 15                  enqueue u onto Q"
            +"\n\t 16     return none</pre></body></html>");

        javax.swing.GroupLayout GTextLayout = new javax.swing.GroupLayout(GText);
        GText.setLayout(GTextLayout);
        GTextLayout.setHorizontalGroup(
            GTextLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane10)
        );
        GTextLayout.setVerticalGroup(
            GTextLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane10)
        );

        javax.swing.GroupLayout GraphLayout = new javax.swing.GroupLayout(Graph);
        Graph.setLayout(GraphLayout);
        GraphLayout.setHorizontalGroup(
            GraphLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, GraphLayout.createSequentialGroup()
                .addComponent(GText, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(GButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        GraphLayout.setVerticalGroup(
            GraphLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(GButton, javax.swing.GroupLayout.DEFAULT_SIZE, 418, Short.MAX_VALUE)
            .addComponent(GText, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Graph", Graph);

        File.setIcon(new javax.swing.ImageIcon(getClass().getResource("/file1.png"))); // NOI18N
        File.setToolTipText("File");

        Print.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_P, java.awt.event.InputEvent.CTRL_MASK));
        Print.setFont(new java.awt.Font("Comic Sans MS", 3, 16)); // NOI18N
        Print.setIcon(new javax.swing.ImageIcon(getClass().getResource("/print.png"))); // NOI18N
        Print.setText("Print");
        Print.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                PrintActionPerformed(evt);
            }
        });
        File.add(Print);

        q.setFont(new java.awt.Font("Comic Sans MS", 3, 16)); // NOI18N
        q.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Quiz.png"))); // NOI18N
        q.setText("Quiz");
        q.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                qActionPerformed(evt);
            }
        });
        File.add(q);

        Exit.setAccelerator(javax.swing.KeyStroke.getKeyStroke(java.awt.event.KeyEvent.VK_X, java.awt.event.InputEvent.ALT_MASK));
        Exit.setFont(new java.awt.Font("Comic Sans MS", 3, 16)); // NOI18N
        Exit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/exit.png"))); // NOI18N
        Exit.setText("Exit");
        Exit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ExitActionPerformed(evt);
            }
        });
        File.add(Exit);

        jMenuBar1.add(File);

        Help.setIcon(new javax.swing.ImageIcon(getClass().getResource("/help1.png"))); // NOI18N
        Help.setToolTipText("Help");

        Us.setFont(new java.awt.Font("Comic Sans MS", 3, 16)); // NOI18N
        Us.setIcon(new javax.swing.ImageIcon(getClass().getResource("/help.png"))); // NOI18N
        Us.setText("About us");
        Us.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                UsActionPerformed(evt);
            }
        });
        Help.add(Us);

        Content.setFont(new java.awt.Font("Comic Sans MS", 3, 16)); // NOI18N
        Content.setIcon(new javax.swing.ImageIcon(getClass().getResource("/help.png"))); // NOI18N
        Content.setText("About Content");
        Content.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ContentActionPerformed(evt);
            }
        });
        Help.add(Content);

        Software.setFont(new java.awt.Font("Comic Sans MS", 3, 16)); // NOI18N
        Software.setIcon(new javax.swing.ImageIcon(getClass().getResource("/help.png"))); // NOI18N
        Software.setText("About Software");
        Software.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                SoftwareActionPerformed(evt);
            }
        });
        Help.add(Software);

        jMenuBar1.add(Help);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(21, 21, 21)
                .addComponent(jTabbedPane1))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane1)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void PrintActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_PrintActionPerformed
         PrinterJob job = PrinterJob.getPrinterJob();
        //job.setPrintable();
        boolean ok = job.printDialog();
        if (ok) {
            try {
                job.print();
            } catch (PrinterException ex) {
                ex.printStackTrace(System.err);
            }
        }
    }//GEN-LAST:event_PrintActionPerformed

    private void PushActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_PushActionPerformed
        try  
                    {  
                     /* File f=new File("src/push.mov");
                      Desktop.getDesktop().open(f); */
                         String []s=new String[1];
                         s[0]="src/push.mov";
                         vlcPlayer.main(s);
                      
                    }  
                    catch(Exception e)  
                    {} 
    }//GEN-LAST:event_PushActionPerformed

    private void PopActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_PopActionPerformed
     try  
                    {  
                      /*File f=new File("src/pop.mov");
                      Desktop.getDesktop().open(f);  */
                       String []s=new String[1];
                         s[0]="src/pop.mov";
                         vlcPlayer.main(s); 
                    }  
                    catch(Exception e)  
                    {} 
    }//GEN-LAST:event_PopActionPerformed

    private void SQInsertActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_SQInsertActionPerformed
         try  
                    {  
                     /* File f=new File("src/sqinsert.mov");
                      Desktop.getDesktop().open(f); */
                        String []s=new String[1];
                         s[0]="src/sqinsert.mov";
                         vlcPlayer.main(s);
                      
                    }  
                    catch(Exception e)  
                    {} 
    }//GEN-LAST:event_SQInsertActionPerformed

    private void SQRemoveActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_SQRemoveActionPerformed
        try  
                    {  
                      /*File f=new File("src/remove.mov");
                      Desktop.getDesktop().open(f);  */
                        String []s=new String[1];
                         s[0]="src/remove.mov";
                         vlcPlayer.main(s);
                      
                    }  
                    catch(Exception e)  
                    {} 
    }//GEN-LAST:event_SQRemoveActionPerformed

    private void DQBActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_DQBActionPerformed
       try  
                    {  
                     /* File f=new File("src/deque.mov");
                      Desktop.getDesktop().open(f);*/
                         String []s=new String[1];
                         s[0]="src/deque.mov";
                         vlcPlayer.main(s);
                      
                    }  
                    catch(Exception e)  
                    {} 
    }//GEN-LAST:event_DQBActionPerformed

    private void CQBActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CQBActionPerformed
        try  
                    {  
                     /* File f=new File("src/circularqueue.mov");
                      Desktop.getDesktop().open(f); */
                         String []s=new String[1];
                         s[0]="src/circularqueue.mov";
                         vlcPlayer.main(s);
                      
                    }  
                    catch(Exception e)  
                    {} 
    }//GEN-LAST:event_CQBActionPerformed

    private void PQBActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_PQBActionPerformed
       try  
                    {  
                     /* File f=new File("src/priorityqueue.mov");
                      Desktop.getDesktop().open(f);  */
                         String []s=new String[1];
                         s[0]="src/priorityqueue.mov";
                         vlcPlayer.main(s);
                      
                    }  
                    catch(Exception e)  
                    {} 
    }//GEN-LAST:event_PQBActionPerformed

    private void TBActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_TBActionPerformed
        try
        {
            /*File f=new File("src/tree_1.avi");
            Desktop.getDesktop().open(f);*/
            String []s=new String[1];
            s[0]="src/tree intro.mov";
            vlcPlayer.main(s);

        }
        catch(Exception e)
        {}
    }//GEN-LAST:event_TBActionPerformed

    private void SLLBActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_SLLBActionPerformed
         try
        {
           /* File f=new File("src/singly linked list.mov");
            Desktop.getDesktop().open(f);*/
            String []s=new String[1];
            s[0]="src/singly linked list.mov";
            vlcPlayer.main(s);

        }
        catch(Exception e)
        {}
    }//GEN-LAST:event_SLLBActionPerformed

    private void DLLBActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_DLLBActionPerformed
      try
        {
           /* File f=new File("src/doubly linked list.mov");
            Desktop.getDesktop().open(f);*/
            String []s=new String[1];
            s[0]="src/doubly linked list.mov";
            vlcPlayer.main(s);

        }
        catch(Exception e)
        {}
    }//GEN-LAST:event_DLLBActionPerformed

    private void CLLBActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CLLBActionPerformed
       try
        {
           /* File f=new File("src/circular linked list.mov");
            Desktop.getDesktop().open(f);*/
             String []s=new String[1];
            s[0]="src/circular linked list.mov";
            vlcPlayer.main(s);

        }
        catch(Exception e)
        {}
    }//GEN-LAST:event_CLLBActionPerformed

    private void IntroActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IntroActionPerformed
        try
        {
           // File f=new File("src/intro.mov");
           // Desktop.getDesktop().open(f);
            String []s=new String[1];
            s[0]="src/intro.mov";
            vlcPlayer.main(s);

        }
        catch(Exception e)
        {}
    }//GEN-LAST:event_IntroActionPerformed

    private void ExitActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ExitActionPerformed
        System.exit(0);
    }//GEN-LAST:event_ExitActionPerformed

    private void ContentActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ContentActionPerformed
       //HelpContent.main(null);
        HelpContent hc=new HelpContent();
        hc.setVisible(true);
    }//GEN-LAST:event_ContentActionPerformed

    private void UsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_UsActionPerformed
        //AboutUs.main(null);
        AboutUs au=new AboutUs();
        au.setVisible(true);
    }//GEN-LAST:event_UsActionPerformed

    private void SoftwareActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_SoftwareActionPerformed
        //SoftwareHelp.main(null);
        SoftwareHelp sh=new SoftwareHelp();
        sh.setVisible(true);
    }//GEN-LAST:event_SoftwareActionPerformed

    private void GBActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_GBActionPerformed
        try
        {
           /* File f=new File("src/graph.mov");
            Desktop.getDesktop().open(f);*/
             String []s=new String[1];
            s[0]="src/graph.mov";
            vlcPlayer.main(s);
        }
        catch(Exception e)
        {}
    }//GEN-LAST:event_GBActionPerformed

    private void SQIntroActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_SQIntroActionPerformed
         try
        {
           /* File f=new File("src/sqintro.mov");
            Desktop.getDesktop().open(f);*/
             String []s=new String[1];
             s[0]="src/sqintro.mov";
             vlcPlayer.main(s);

        }
        catch(Exception e)
        {}
    }//GEN-LAST:event_SQIntroActionPerformed

    private void qActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_qActionPerformed
        Quiz q=new Quiz();
        q.setVisible(true);
        //Quiz.main(null);
    }//GEN-LAST:event_qActionPerformed
        

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(NewJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(NewJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(NewJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(NewJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new NewJFrame().setVisible(true);
                
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel CLL;
    private javax.swing.JButton CLLB;
    private javax.swing.JPanel CLLButton;
    private javax.swing.JPanel CLLT;
    private javax.swing.JButton CQB;
    private javax.swing.JPanel CQButton;
    private javax.swing.JPanel CQText;
    private javax.swing.JPanel CQueue;
    private javax.swing.JMenuItem Content;
    private javax.swing.JPanel DLL;
    private javax.swing.JButton DLLB;
    private javax.swing.JPanel DLLButton;
    private javax.swing.JPanel DLLT;
    private javax.swing.JButton DQB;
    private javax.swing.JPanel DQButton;
    private javax.swing.JPanel DQueue;
    private javax.swing.JPanel DText;
    private javax.swing.JMenuItem Exit;
    private javax.swing.JMenu File;
    private javax.swing.JButton GB;
    private javax.swing.JPanel GButton;
    private javax.swing.JPanel GText;
    private javax.swing.JPanel Graph;
    private javax.swing.JMenu Help;
    private javax.swing.JButton Intro;
    private javax.swing.JPanel LinkedList;
    private javax.swing.JButton PQB;
    private javax.swing.JPanel PQButton;
    private javax.swing.JPanel PQText;
    private javax.swing.JPanel PQueue;
    private javax.swing.JButton Pop;
    private javax.swing.JMenuItem Print;
    private javax.swing.JButton Push;
    private javax.swing.JPanel Queue;
    private javax.swing.JPanel SLL;
    private javax.swing.JButton SLLB;
    private javax.swing.JPanel SLLButton;
    private javax.swing.JPanel SLLText;
    private javax.swing.JPanel SQButton;
    private javax.swing.JButton SQInsert;
    private javax.swing.JButton SQIntro;
    private javax.swing.JButton SQRemove;
    private javax.swing.JPanel SQText;
    private javax.swing.JPanel SQueue;
    private javax.swing.JPanel Sbutton;
    private javax.swing.JMenuItem Software;
    private javax.swing.JPanel Stack;
    private javax.swing.JEditorPane Stext;
    private javax.swing.JButton TB;
    private javax.swing.JPanel TButton;
    private javax.swing.JPanel TText;
    private javax.swing.JPanel Tree;
    private javax.swing.JMenuItem Us;
    private javax.swing.JEditorPane jEditorPane1;
    private javax.swing.JEditorPane jEditorPane2;
    private javax.swing.JEditorPane jEditorPane3;
    private javax.swing.JEditorPane jEditorPane4;
    private javax.swing.JEditorPane jEditorPane5;
    private javax.swing.JEditorPane jEditorPane6;
    private javax.swing.JEditorPane jEditorPane7;
    private javax.swing.JEditorPane jEditorPane8;
    private javax.swing.JEditorPane jEditorPane9;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane10;
    private javax.swing.JScrollPane jScrollPane11;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JScrollPane jScrollPane4;
    private javax.swing.JScrollPane jScrollPane5;
    private javax.swing.JScrollPane jScrollPane6;
    private javax.swing.JScrollPane jScrollPane7;
    private javax.swing.JScrollPane jScrollPane9;
    private javax.swing.JTabbedPane jTabbedPane1;
    private javax.swing.JTabbedPane jTabbedPane2;
    private javax.swing.JTabbedPane linkedlisttab;
    private javax.swing.JMenuItem q;
    // End of variables declaration//GEN-END:variables
}
